Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 08/31/2020 in all areas

  1. Sengna, you didn't drag the command bar, you merely stretched it. It is still covering your tabs. It appears that your command line is not docked nor is it locked into place. If it were locked you would not have been able to stretch the command line. If it were docked, it would not cover your tabs. Below are some helpful images. Before trying to move your command bar, click the aforementioned three bars in the lower left of the AutoCad window. Notice the list of selections. There is one called LOCKUI which means Lock User Interface. If it is not checked, you can move your AutoCad window elements including the command line. If it is checked you cannot move any of it. Once you get your command line docked, with the number of lines you need showing, go back and check LOCKUI so it won't move again.
    1 point
  2. @shadi I've thought of another way. This asks if you have finished when you make a blank selection. "Yes" will calculate and insert total "No" will allow further selections. Default (press return or right click mouse) is "No" (defun rh:em_txt ( pt txt lyr sty tht xsf) (entmakex (list '(0 . "TEXT") '(100 . "AcDbEntity") '(100 . "AcDbText") (cons 10 pt) (cons 1 txt) (if lyr (cons 8 lyr)) (if sty (cons 7 sty)) (if tht (cons 40 tht)) (if xsf (cons 41 xsf)) );end_list );end_entmakex );end_defun (vl-load-com) (defun c:t+ ( / *error* sv_lst sv_vals ent elst el num xsf ans tot qflg nlst sel pt txt) (defun *error* ( msg ) (mapcar 'setvar sv_lst sv_vals) (if (not (wcmatch (strcase msg) "*BREAK*,*CANCEL*,*EXIT*")) (princ (strcat "\nAn Error : " msg " occurred."))) (princ) );end_defun (setq sv_lst (list 'cmdecho 'osmode 'dynmode 'dynprompt) sv_vals (mapcar 'getvar sv_lst) );end_setq (mapcar 'setvar sv_lst '(0 0 3 1)) (while (not tot) (setq el (entget (setq ent (car (entsel "\Select First Text Number Entity : "))))) (cond ( (wcmatch (cdr (assoc 0 el)) "*TEXT") (cond ( (= (cdr (assoc 0 el)) "TEXT") (setq num (atof (getpropertyvalue ent "TextString")) xsf (cdr (assoc 41 el)))) (t (setq num (atof (getpropertyvalue ent "Text")) xsf 1.0)) );end_cond (cond ( (zerop num) (setq num nil) (alert "Text Entity NOT a number")) (t (setq tot num))) ) (t (alert "Not a Text Entity")) );end_cond (cond (num (setq nlst (cons ent nlst)))) );end_while (while (not qflg) (setq sel (entsel "\nSelect Next Text Number Entity : ")) (cond ( (not sel) (initget "Yes No") (setq ans (cond ( (getkword "\nSelection Finished [Yes/No] <No>")) ("No"))) (if (= ans "Yes") (setq qflg T)) ) );end_cond (cond ( (and (not qflg) sel) (setq elst (entget (setq ent (car sel)))) (cond ( (and (wcmatch (cdr (assoc 0 elst)) "*TEXT") (not (vl-position ent nlst))) (cond ( (= (cdr (assoc 0 elst)) "TEXT") (setq num (atof (getpropertyvalue ent "TextString")))) (t (setq num (atof (getpropertyvalue ent "Text")))) );end_cond (cond ( (zerop num) (setq num nil) (alert "Text Entity NOT a number"))) ) ( (vl-position ent nlst) (alert "Already Selected")) (t (alert "Not a Text Entity")) );end_cond (if num (setq tot (+ tot num) nlst (cons ent nlst) num nil)) ) );end_cond );end_while (cond ( (and tot qflg) (setq pt (getpoint "\nSelect Total Insertion Point : ") txt (if (zerop (rem tot 1.0)) (rtos tot 2 0) (rtos tot 2 3)) );end_setq (rh:em_txt pt txt (cdr (assoc 8 el)) (cdr (assoc 7 el)) (cdr (assoc 40 el)) xsf) (if nlst (foreach o (mapcar 'vlax-ename->vla-object nlst) (vla-delete o))) ) );end_cond (mapcar 'setvar sv_lst sv_vals) (princ) );end_defun
    1 point
  3. Something doesn't seem correct with your screen shot, it appears to be cut off at the bottom. Take a screen shot with the window minimized. Try moving the window around to see if the bottom is off screen. You could try LAYOUTTAB = 1.
    1 point
  4. Worked for a company that had a horse float not for horses, had awnings, internal, external tvs, generator, obvious sink, water, fridge solar a must today. Go to https://www.camec.com.au/shop for caravan stuff ignore 240 volt fridges must be 12-24/240. Be careful with 3 way fridge they consume massive power when running in 12v mode. https://www.dometic.com/en-au/au will run days on batteries etc. Windows hatches aircon so much more. I fitted out my bus with Stove, water, 2 fridges forgot I have microwave also bolted in place. Go to your local caravan yard and have a good look. So much stuff out there pull out BBQ a must. Pretty sure sent you an email link any questions ask.
    1 point
  5. For lipens the rtos function controls how many decimals so (rtos x 2 2) the 2 is decimal the next 2 is number of decimal places. (rtos x 2 3) 123.456
    1 point
  6. If they are text entities and all on the same layer you can try this. You will need to change the layer name in part of the filter (8 . "LEVELS") so that it matches the layer you height text is on. (vl-load-com) (defun c:lev22 ( / *error* c_doc) (defun *error* ( msg ) (if (not (wcmatch (strcase msg) "*BREAK*,*CANCEL*,*EXIT*")) (princ (strcat "\nOops an Error : " msg " occurred."))) (princ) );end_*error*_defun (setq c_doc (vla-get-activedocument (vlax-get-acad-object))) (ssget "_X" '((0 . "TEXT")(8 . "LEVELS"))) (vlax-for t_obj (vla-get-activeselectionset c_doc) (vlax-put-property t_obj 'textstring (rtos (atof (vlax-get-property t_obj 'textstring)) 2 2)) );end_for (princ) );end_defun
    1 point
  7. Wasn't that recommended in the first reply to your thread?
    1 point
×
×
  • Create New...